[xmonad] is there a way to build xmonad-contrib 0.9.2 on a system with ghc 7.4.1?

Lara Michaels laramichaels1978 at yahoo.com
Thu Jun 28 20:11:38 CEST 2012


I would like to install xmonad 0.9.2 (which worked fine for me) on my Ubuntu 12.04 system (GHC 7.4.1).

Following the instructions on README, xmonad-0.9.2 compiles fine but xmonad-contrib-0.9.2 fails at the build stage:
[101 of 180] Compiling XMonad.Layout.MouseResizableTile ( XMonad/Layout/MouseResizableTile.hs, dist/build/XMonad/Layout/MouseResizableTile.o )

    Could not deduce (Eq t) arising from the literal `0'
    from the context (Num t)
      bound by the type signature for
                 replaceAtPos :: Num t => [Rational] -> t -> Rational -> [Rational]
      at XMonad/Layout/MouseResizableTile.hs:(182,1)-(185,61)
    Possible fix:
      add (Eq t) to the context of
        the type signature for
          replaceAtPos :: Num t => [Rational] -> t -> Rational -> [Rational]
    In the pattern: 0
    In an equation for `replaceAtPos': replaceAtPos [] 0 x' = [x']
cabal: Error: some packages failed to install:
xmonad-contrib-0.9.2 failed during the building phase. The exception was:
ExitFailure 1

Is there a way to get this to build on my system?

thank you for any help


More information about the xmonad mailing list